Skip to content

List orders

GET
/api/subscriptions/orders
curl --request GET \
--url 'https://api.usegro.co/api/subscriptions/orders?fulfillment_status=UNFULFILLED&sort_by=shopify_order_number&sort_order=asc' \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <X-API-Key>'
status
string
fulfillment_status
string
Allowed values: UNFULFILLED PARTIALLY_FULFILLED FULFILLED
subscription_id
string
profile_id
string
entity_id
string
search
string
tracking_number
string
has_subscription
boolean
delivery_date_from
string
delivery_date_to
string
billing_date_from
string
billing_date_to
string
production_date_from
string
production_date_to
string
is_checkout_order
boolean
page
number
limit
number
sort_by
string
Allowed values: shopify_order_number created_at delivery_date billing_date total status
sort_order
string
Allowed values: asc desc
Media typeapplication/json
object
data
required
Array<object>
object
id
required
string
status
required
string
Allowed values: PENDING PAID PARTIALLY_REFUNDED REFUNDED CANCELLED
created_at
string
nullable
updated_at
string
nullable
account_id
required
string
total
required
number
currency_code
required
string
profile_id
string
nullable
shopify_order_id
required
string
production_date
string
nullable
delivery_date
string
nullable
fulfillment_status
required
string
Allowed values: UNFULFILLED PARTIALLY_FULFILLED FULFILLED
shopify_order_number
number
nullable
external_order_id
string
nullable
external_order_number
string
nullable
external_source
string
nullable
is_checkout_order
required
boolean
tracking_number
string
nullable
tracking_company
string
nullable
tracking_url
string
nullable
subtotal
required
number
discount_amount
required
number
billing_date
string
nullable
order_created_at
string
nullable
profile
One of:
string
subscriptions
One of:
string
delivery_slot
One of:
string
meta
required
object
total

Total number of items

number
per_page

Items per page

number
current_page

Current page number

number
last_page

Last page number

number
first_page

First page number

number
first_page_url

URL for first page

string
last_page_url

URL for last page

string
next_page_url

URL for next page

string
nullable
previous_page_url

URL for previous page

string
nullable

Example

{
"data": [
{
"status": "PENDING",
"fulfillment_status": "UNFULFILLED",
"profile": {
"email_status": "subscribed",
"sms_status": "subscribed",
"sms_opt_in_level": "single_opt_in"
}
}
]
}